## GstPreset GstPreset |

## Functions

gchar ** | gst_preset_get_preset_names ()
gchar ** | gst_preset_get_property_names ()
gboolean | gst_preset_load_preset ()
gboolean | gst_preset_save_preset ()
gboolean | gst_preset_rename_preset ()
gboolean | gst_preset_delete_preset ()
gboolean | gst_preset_set_meta ()
gboolean | gst_preset_get_meta ()
gboolean | gst_preset_set_app_dir ()
const gchar * | gst_preset_get_app_dir ()
gboolean | gst_preset_is_editable ()

## Types and Values

| GstPreset
struct | GstPresetInterface

## Object Hierarchy

        GInterface
        ╰── GstPreset

## Includes

    #include <gst/gst.h>

## Description

## Functions

### gst_preset_get_preset_names ()

    gchar **
    gst_preset_get_preset_names (GstPreset *preset);

### gst_preset_get_property_names ()

    gchar **
    gst_preset_get_property_names (GstPreset *preset);

### gst_preset_load_preset ()

    gboolean
    gst_preset_load_preset (GstPreset *preset,
                            const gchar *name);

### gst_preset_save_preset ()

    gboolean
    gst_preset_save_preset (GstPreset *preset,
                            const gchar *name);

### gst_preset_rename_preset ()

    gboolean
    gst_preset_rename_preset (GstPreset *preset,
                              const gchar *old_name,
                              const gchar *new_name);

### gst_preset_delete_preset ()

    gboolean
    gst_preset_delete_preset (GstPreset *preset,
                              const gchar *name);

### gst_preset_set_meta ()

    gboolean
    gst_preset_set_meta (GstPreset *preset,
                         const gchar *name,
                         const gchar *tag,
                         const gchar *value);

### gst_preset_get_meta ()

    gboolean
    gst_preset_get_meta (GstPreset *preset,
                         const gchar *name,
                         const gchar *tag,
                         gchar **value);

### gst_preset_set_app_dir ()

    gboolean
    gst_preset_set_app_dir (const gchar *app_dir);

### gst_preset_get_app_dir ()

    const gchar *
    gst_preset_get_app_dir (void);

### gst_preset_is_editable ()

    gboolean
    gst_preset_is_editable (GstPreset *preset);

## Types and Values

### GstPreset

    typedef struct _GstPreset GstPreset;

### struct GstPresetInterface

    struct GstPresetInterface {
      GTypeInterface parent;

      /* methods */
      gchar**      (*get_preset_names)    (GstPreset *preset);

      gchar**      (*get_property_names)  (GstPreset *preset);

      gboolean     (*load_preset)         (GstPreset *preset, const gchar *name);
      gboolean     (*save_preset)         (GstPreset *preset, const gchar *name);
      gboolean     (*rename_preset)       (GstPreset *preset, const gchar *old_name,
                                           const gchar *new_name);
      gboolean     (*delete_preset)       (GstPreset *preset, const gchar *name);

      gboolean     (*set_meta)            (GstPreset *preset, const gchar *name,
                                           const gchar *tag, const gchar *value);
      gboolean     (*get_meta)            (GstPreset *preset, const gchar *name,
                                           const gchar *tag, gchar **value);
    };